将第三方源代码管理平台连接到 Google
- REST 资源:v1.projects.locations
- REST 资源:v1.projects.locations.accountConnectors
- REST 资源:v1.projects.locations.accountConnectors.users
- REST 资源:v1.projects.locations.connections
- REST 资源:v1.projects.locations.connections.gitRepositoryLinks
- REST 资源:v1.projects.locations.insightsConfigs
- REST 资源:v1.projects.locations.insightsConfigs.deploymentEvents
- REST 资源:v1.projects.locations.operations
服务:developerconnect.googleapis.com
如要调用此服务,我们建议您使用 Google 提供的客户端库。如果您的应用需要使用您自己的库来调用此服务,则在发出 API 请求时应使用以下信息。
发现文档
发现文档是用于说明和使用 REST API 的机器可读规范。它用于构建客户端库、IDE 插件以及与 Google API 交互的其他工具。一项服务可能会提供多个发现文档。此服务提供了以下发现文档:
服务端点
服务端点是一个基础网址,指定了 API 服务的网络地址。一项服务可能有多个服务端点。此服务具有以下服务端点,下面的所有 URI 都与此服务端点相关:
https://developerconnect.googleapis.com
REST 资源:v1.projects.locations
| 方法 | |
|---|---|
get |
GET /v1/{name=projects/*/locations/*}获取位置相关信息。 |
list |
GET /v1/{name=projects/*}/locations 列出有关此服务所支持位置的信息。 |
REST 资源:v1.projects.locations.accountConnectors
| 方法 | |
|---|---|
create |
POST /v1/{parent=projects/*/locations/*}/accountConnectors 在给定的项目和位置中创建新 AccountConnector。 |
delete |
DELETE /v1/{name=projects/*/locations/*/accountConnectors/*} 删除单个 AccountConnector。 |
get |
GET /v1/{name=projects/*/locations/*/accountConnectors/*} 获取单个 AccountConnector 的详细信息。 |
list |
GET /v1/{parent=projects/*/locations/*}/accountConnectors 列出给定项目和位置中的 AccountConnector。 |
patch |
PATCH /v1/{accountConnector.name=projects/*/locations/*/accountConnectors/*} 更新单个 AccountConnector 的参数。 |
REST 资源:v1.projects.locations.accountConnectors.users
| 方法 | |
|---|---|
delete |
DELETE /v1/{name=projects/*/locations/*/accountConnectors/*/users/*} 删除单个用户。 |
deleteSelf |
DELETE /v1/{name=projects/*/locations/*/accountConnectors/*}/users:deleteSelf 根据用户凭证删除用户。 |
fetchAccessToken |
POST /v1/{accountConnector=projects/*/locations/*/accountConnectors/*}/users:fetchAccessToken 根据最终用户凭证提取 OAuth 访问令牌。 |
fetchSelf |
GET /v1/{name=projects/*/locations/*/accountConnectors/*}/users:fetchSelf 根据用户凭证提取用户。 |
finishOAuthFlow |
GET /v1/{accountConnector=projects/*/locations/*/accountConnectors/*}/users:finishOAuthFlow 完成账号连接器的 OAuth 流程。 |
list |
GET /v1/{parent=projects/*/locations/*/accountConnectors/*}/users 列出给定项目、位置和 account_connector 中的用户。 |
startOAuthFlow |
GET /v1/{accountConnector=projects/*/locations/*/accountConnectors/*}/users:startOAuthFlow 启动账号连接器的 OAuth 流程。 |
REST 资源:v1.projects.locations.connections
| 方法 | |
|---|---|
create |
POST /v1/{parent=projects/*/locations/*}/connections 在给定的项目和位置中创建新连接。 |
delete |
DELETE /v1/{name=projects/*/locations/*/connections/*} 删除单个连接。 |
fetchGitHubInstallations |
GET /v1/{connection=projects/*/locations/*/connections/*}:fetchGitHubInstallations FetchGitHubInstallations 会返回可添加到连接的 GitHub 安装实例列表。 |
fetchLinkableGitRepositories |
GET /v1/{connection=projects/*/locations/*/connections/*}:fetchLinkableGitRepositories FetchLinkableGitRepositories 会返回 SCM 中可添加到连接的 Git 代码库列表。 |
get |
GET /v1/{name=projects/*/locations/*/connections/*} 获取单个连接的详细信息。 |
list |
GET /v1/{parent=projects/*/locations/*}/connections 列出给定项目和位置中的连接。 |
patch |
PATCH /v1/{connection.name=projects/*/locations/*/connections/*} 更新单个连接的参数。 |
processGitHubEnterpriseWebhook |
POST /v1/{parent=projects/*/locations/*}/connections:processGitHubEnterpriseWebhook ProcessGitHubEnterpriseWebhook 由外部 GitHub Enterprise 实例调用,用于通知事件。 |
REST 资源:v1.projects.locations.connections.gitRepositoryLinks
| 方法 | |
|---|---|
addPullRequestComment |
POST /v1/{name=projects/*/locations/*/connections/*/gitRepositoryLinks/*}:addPullRequestComment 向拉取请求添加评论。 |
addPullRequestReviewComment |
POST /v1/{name=projects/*/locations/*/connections/*/gitRepositoryLinks/*}:addPullRequestReviewComment 向拉取请求添加审核评论(在差异中内嵌)。 |
create |
POST /v1/{parent=projects/*/locations/*/connections/*}/gitRepositoryLinks 创建 GitRepositoryLink。 |
delete |
DELETE /v1/{name=projects/*/locations/*/connections/*/gitRepositoryLinks/*} 删除单个 GitRepositoryLink。 |
diffCommit |
GET /v1/{name=projects/*/locations/*/connections/*/gitRepositoryLinks/*}:diffCommit GitRepositoryLink 的差异提交。 |
fetchCommit |
GET /v1/{name=projects/*/locations/*/connections/*/gitRepositoryLinks/*}:fetchCommit 从 Git 代码库链接提取提交详细信息。 |
fetchCommitList |
GET /v1/{name=projects/*/locations/*/connections/*/gitRepositoryLinks/*}:fetchCommitList 从 Git 代码库链接中提取提交列表。 |
fetchFileBlame |
GET /v1/{name=projects/*/locations/*/connections/*/gitRepositoryLinks/*}:fetchFileBlame 提取文件或文件中某行范围的 blame 信息。 |
fetchGitRefs |
GET /v1/{gitRepositoryLink=projects/*/locations/*/connections/*/gitRepositoryLinks/*}:fetchGitRefs 提取给定代码库的分支或标记列表。 |
fetchPullRequest |
GET /v1/{name=projects/*/locations/*/connections/*/gitRepositoryLinks/*}:fetchPullRequest 从 Git 代码库链接中提取拉取请求详细信息。 |
fetchPullRequestList |
GET /v1/{name=projects/*/locations/*/connections/*/gitRepositoryLinks/*}:fetchPullRequestList 从远程仓库中提取拉取请求列表。 |
fetchReadToken |
POST /v1/{gitRepositoryLink=projects/*/locations/*/connections/*/gitRepositoryLinks/*}:fetchReadToken 提取给定 gitRepositoryLink 的读取令牌。 |
fetchReadWriteToken |
POST /v1/{gitRepositoryLink=projects/*/locations/*/connections/*/gitRepositoryLinks/*}:fetchReadWriteToken 提取给定 gitRepositoryLink 的读/写令牌。 |
get |
GET /v1/{name=projects/*/locations/*/connections/*/gitRepositoryLinks/*} 获取单个 GitRepositoryLink 的详细信息。 |
list |
GET /v1/{parent=projects/*/locations/*/connections/*}/gitRepositoryLinks 列出给定项目、位置和连接中的 GitRepositoryLink。 |
modifyPullRequest |
POST /v1/{name=projects/*/locations/*/connections/*/gitRepositoryLinks/*}:modifyPullRequest 修改与 GitRepositoryLink 关联的远程 SCM 代码库中的拉取请求。 |
openPullRequest |
POST /v1/{name=projects/*/locations/*/connections/*/gitRepositoryLinks/*}:openPullRequest 在与 GitRepositoryLink 关联的远程 SCM 代码库中打开拉取请求。 |
processBitbucketCloudWebhook |
POST /v1/{name=projects/*/locations/*/connections/*/gitRepositoryLinks/*}:processBitbucketCloudWebhook ProcessBitbucketCloudWebhook 由外部 Bitbucket Cloud 实例调用,用于通知事件。 |
processBitbucketDataCenterWebhook |
POST /v1/{name=projects/*/locations/*/connections/*/gitRepositoryLinks/*}:processBitbucketDataCenterWebhook 外部 Bitbucket 数据中心实例会调用 ProcessBitbucketDataCenterWebhook 来通知事件。 |
processGitLabEnterpriseWebhook |
POST /v1/{name=projects/*/locations/*/connections/*/gitRepositoryLinks/*}:processGitLabEnterpriseWebhook ProcessGitLabEnterpriseWebhook 由外部 GitLab Enterprise 实例调用,用于通知事件。 |
processGitLabWebhook |
POST /v1/{name=projects/*/locations/*/connections/*/gitRepositoryLinks/*}:processGitLabWebhook GitLab.com 会调用 ProcessGitLabWebhook 来通知事件。 |
REST 资源:v1.projects.locations.insightsConfigs
| 方法 | |
|---|---|
create |
POST /v1/{parent=projects/*/locations/*}/insightsConfigs 在给定的项目和位置中创建新 InsightsConfig。 |
delete |
DELETE /v1/{name=projects/*/locations/*/insightsConfigs/*} 删除单个分析洞见。 |
get |
GET /v1/{name=projects/*/locations/*/insightsConfigs/*} 获取单个数据分析的详细信息。 |
list |
GET /v1/{parent=projects/*/locations/*}/insightsConfigs 列出给定项目和位置中的 InsightsConfig。 |
patch |
PATCH /v1/{insightsConfig.name=projects/*/locations/*/insightsConfigs/*} 更新单个 InsightsConfig 的参数。 |
REST 资源:v1.projects.locations.insightsConfigs.deploymentEvents
| 方法 | |
|---|---|
get |
GET /v1/{name=projects/*/locations/*/insightsConfigs/*/deploymentEvents/*} 获取单个部署事件。 |
list |
GET /v1/{parent=projects/*/locations/*/insightsConfigs/*}/deploymentEvents 列出给定分析洞见配置中的部署事件。 |
REST 资源:v1.projects.locations.operations
| 方法 | |
|---|---|
cancel |
POST /v1/{name=projects/*/locations/*/operations/*}:cancel对长时间运行的操作启动异步取消。 |
delete |
DELETE /v1/{name=projects/*/locations/*/operations/*}删除长时间运行的操作。 |
get |
GET /v1/{name=projects/*/locations/*/operations/*}获取长时间运行的操作的最新状态。 |
list |
GET /v1/{name=projects/*/locations/*}/operations 列出与请求中指定的过滤条件匹配的操作。 |